As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 884935 - Align navigator.vibrate with the spec
: Align navigator.vibrate with the spec
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla27
Assigned To: Andrew Quartey [:drexler]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 838146
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 11:02 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2014-09-09 13:36 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Impl (6.30 KB, patch)
2013-09-24 16:17 PDT, Andrew Quartey [:drexler]
bugs: review+
Details | Diff | Splinter Review

Description User image Boris Zbarsky [:bz] (still a bit busy) 2013-06-19 11:02:36 PDT
Per spec, we should return false when the list is too long or has too-large entries.  We're throwing instead.
Comment 1 User image Mounir Lamouri (:mounir) 2013-06-20 00:22:18 PDT
I think returning false is better than throwing, we should fix our implementation.

Justin, do you have cycles to take this?
Comment 2 User image Justin Lebar (not reading bugmail) 2013-06-20 00:57:32 PDT
I'd hate to deprive someone of a valuable learning experience; do we have anyone new to take this?  Otherwise sure, it's not a bug deal
Comment 3 User image Boris Zbarsky [:bz] (still a bit busy) 2013-06-20 07:15:26 PDT
Either way, please don't touch this code until I land bug 838146!
Comment 4 User image David Bruant 2013-06-20 07:29:43 PDT
(In reply to Justin Lebar [:jlebar] from comment #2)
> I'd hate to deprive someone of a valuable learning experience; do we have
> anyone new to take this?  Otherwise sure, it's not a bug deal
CC'ing jdm
Comment 5 User image Josh Matthews [:jdm] 2013-06-20 08:42:32 PDT
Maria, this one is a simple change that could interest you.
Comment 6 User image Andrew Quartey [:drexler] 2013-09-24 16:17:04 PDT
Created attachment 809531 [details] [diff] [review]
Impl
Comment 7 User image :Ehsan Akhgari 2013-09-24 16:38:17 PDT
I'm not sure if Justin is still available for reviews...
Comment 8 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2013-09-27 17:20:52 PDT
Comment on attachment 809531 [details] [diff] [review]
Impl

https://tbpl.mozilla.org/?tree=Try&rev=7b2ca3c3e626
Comment 9 User image Andrew Quartey [:drexler] 2013-09-28 12:00:33 PDT
inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/bbf7f7deb76f
Comment 10 User image Carsten Book [:Tomcat] 2013-09-29 02:39:57 PDT
https://hg.mozilla.org/mozilla-central/rev/bbf7f7deb76f
Comment 11 User image bhavana bajaj [:bajaj] 2013-10-25 13:21:10 PDT
teoli, 

Seems to impact firefox OS only ? Unclear why would release note it on desktop/android .
Comment 12 User image Jean-Yves Perrier [:teoli] 2013-10-28 00:37:59 PDT
:bajaj, it impacts Firefox for Android too (but not Desktop as it has no vibrating device). Can anyone else comfirm/infirm? Andrew?
Comment 13 User image Andrew Quartey [:drexler] 2013-10-28 07:47:45 PDT
(In reply to Jean-Yves Perrier [:teoli] from comment #12)
> :bajaj, it impacts Firefox for Android too (but not Desktop as it has no
> vibrating device). Can anyone else comfirm/infirm? Andrew?

Unless, i'm mistaken this should be for firefox OS and Android only, right Boris?
Comment 14 User image Andrew Quartey [:drexler] 2013-10-28 07:48:42 PDT
Do see comment 12.
Comment 15 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2013-10-28 08:45:25 PDT
We do expose vibrate() on desktop too and this affects the behavior there.
Comment 16 User image Boris Zbarsky [:bz] (still a bit busy) 2013-10-28 10:37:59 PDT
Indeed.  There is no vibration on desktop, but the API is present, and the behavior is detectable by the web page: it gets an exception from a call that should not, per spec, throw one.  Which is obviously less than ideal.

Note You need to log in before you can comment on or make changes to this bug.